package com.ruoyi.project.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报对象 project_application
 *
 * @author ruoyi
 * @date 2024-06-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("project_application")
public class ProjectApplication extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目ID
     */
    @TableId(value = "project_id")
    private Long projectId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 状态（0正常 1停用）
     */
    private String projectStatus;
    /**
     * 申报开始日期
     */
    private Date projectAppStTime;
    /**
     * 申报结束日期
     */
    private Date projectAppEndTime;
    /**
     * 项目负责人
     */
    private String projectLeader;
    /**
     * 项目预算(万)
     */
    private Long projectBudget;
    /**
     * 项目负责人联系电话
     */
    private String projectLeaderPhone;

}
